uint64_unpack_big(3)

NAME
uint64_unpack_big - read an unsigned big-endian 64-bit integer

SYNTAX
#include <libowfat/uint64.h>

uint64 u;

void uint64_unpack_big(const char s[4],uint64 *u);

DESCRIPTION
uint64 is a 64-bit unsigned integer type.

uint64_unpack_big portably reads a uint64 as stored on a big-endian architecture (i.e. in network byte order) from s and writes it into u in the native byte order.

SEE ALSO
uint64_pack_big(3), uint64_unpack(3)